Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.instrumentation
Class MetricsFacade

    java.lang.Object
      com.endeca.portal.instrumentation.MetricsFacade

    public class MetricsFacade

extends java.lang.Object

The central point for external classes to retrieve the metrics being tracked by performance instrumentation code. Additionally, the central point for classes in this package to add data to be tracked.

Author:
  dan

Constructor Summary
`MetricsFacade()`

Method Summary
`protected static void` | `addCachedDataQuery(RequestTracker requestTracker, java.lang.String dataSourceString, com.endeca.navigation.ENEQuery query, com.endeca.navigation.ENEQueryResults results, long ms)`
`protected static void` | `addCachedDataQuery(RequestTracker requestTracker, java.lang.String dataSourceString, com.endeca.mdex.conversation.Request query, com.endeca.mdex.conversation.Results results, long ms)`
`protected static void` | `addDataQuery(RequestTracker requestTracker, java.lang.String dataSourceString, com.endeca.navigation.ENEQuery query, com.endeca.navigation.ENEQueryResults results, long ms)`
`protected static void` | `addDataQuery(RequestTracker requestTracker, java.lang.String dataSourceString, com.endeca.mdex.conversation.Request query, com.endeca.mdex.conversation.Results results, long ms)`
`protected static void` | `addPortletExecution(RequestTracker requestTracker, javax.portlet.GenericPortlet portlet, javax.portlet.PortletMode mode, javax.portlet.WindowState windowState, long ms)`
`static DataSourceTracker` | `getDataSourceTracker()` Returns the tracker for MDEX query executions.
`static PortletTracker` | `getPortletTracker()` Returns the tracker for portlet executions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricsFacade

    public MetricsFacade()

Method Detail

### getPortletTracker

    public static PortletTracker getPortletTracker()

  Returns the tracker for portlet executions. The `PortletTracker` object gives access to the `PortletMetric` object, which contains methods to access the discrete metrics being tracked for portlets.

  Returns:
    the tracker for portlet executions.

### getDataSourceTracker

    public static DataSourceTracker getDataSourceTracker()

  Returns the tracker for MDEX query executions. The `DataSourceTracker` object gives access to the `MDEXMetric` object, which contains methods to access the discrete metrics being tracked for MDEX queries.

  Returns:
    the tracker for MDEX query executions.

### addDataQuery

    protected static void addDataQuery(RequestTracker requestTracker,
                                       java.lang.String dataSourceString,
                                       com.endeca.navigation.ENEQuery query,
                                       com.endeca.navigation.ENEQueryResults results,
                                       long ms)

### addCachedDataQuery

    protected static void addCachedDataQuery(RequestTracker requestTracker,
                                             java.lang.String dataSourceString,
                                             com.endeca.navigation.ENEQuery query,
                                             com.endeca.navigation.ENEQueryResults results,
                                             long ms)

### addDataQuery

    protected static void addDataQuery(RequestTracker requestTracker,
                                       java.lang.String dataSourceString,
                                       com.endeca.mdex.conversation.Request query,
                                       com.endeca.mdex.conversation.Results results,
                                       long ms)

### addCachedDataQuery

    protected static void addCachedDataQuery(RequestTracker requestTracker,
                                             java.lang.String dataSourceString,
                                             com.endeca.mdex.conversation.Request query,
                                             com.endeca.mdex.conversation.Results results,
                                             long ms)

### addPortletExecution

    protected static void addPortletExecution(RequestTracker requestTracker,
                                              javax.portlet.GenericPortlet portlet,
                                              javax.portlet.PortletMode mode,
                                              javax.portlet.WindowState windowState,
                                              long ms)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD